"use client";

import React from 'react';
import { motion } from 'framer-motion';
import { MouseParallaxImage } from './MouseParallax';

export default function DashboardView() {
  const imageLink = "https://res.cloudinary.com/dezd109fz/image/upload/v1737426510/Screenshot_2025-01-21_075609_ypdwbo.png";

  const variants = {
    hidden: { opacity: 0, y: 50 },
    visible: { opacity: 1, y: 0 },
  };

  return (
    <motion.div
      initial="hidden"
      whileInView="visible"
      variants={variants}
      transition={{ duration: 0.5 }}
      className='h-fit md:h-screen w-full flex items-center justify-center p-5 md:p-20 mt-20'
    >
      <MouseParallaxImage image={imageLink} title={""} className="" />
    </motion.div>
  );
}
